
%define aprver 2

Summary: Apache Portable Runtime library
Name: apr
Version: 2.0.0
Release: 1
License: Apache Software License
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: autoconf, libtool, doxygen, /usr/bin/python
BuildRequires: pkgconfig(expat), pkgconfig(uuid)

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines, forming a system
portability layer to as many operating systems as possible,
including Unices, MS Win32, BeOS and OS/2.

%package devel
Group: Development/Libraries
Summary: APR library development kit
Requires: apr = %{version}

%description devel
This package provides the support files which can be used to 
build applications using the APR library.  The mission of the
Apache Portable Runtime (APR) is to provide a free library of 
C data structures and routines.

%package lmdb
Group: Development/Libraries 
Summary: APR utility library DBM driver
BuildRequires: pkgconfig(lmdb)
Requires: apr = %{version}-%{release}

%description lmdb
This package provides the LMDB driver for the apr-util.

%package pgsql
Group: Development/Libraries
Summary: APR utility library PostgreSQL DBD driver
BuildRequires: pkgconfig(libpq)
Requires: apr = %{version}-%{release}

%description pgsql
This package provides the PostgreSQL driver for the apr-util
DBD (database abstraction) interface.

%package mysql
Group: Development/Libraries
Summary: APR utility library MySQL DBD driver
BuildRequires: pkgconfig(libmariadb)
Requires: apr = %{version}-%{release}

%description mysql
This package provides the MySQL driver for the apr-util DBD
(database abstraction) interface.

%package sqlite
Group: Development/Libraries
Summary: APR utility library SQLite DBD driver
BuildRequires: pkgconfig(sqlite3)
Requires: apr = %{version}-%{release}

%description sqlite
This package provides the SQLite driver for the apr-util DBD
(database abstraction) interface.

%package odbc
Group: Development/Libraries
Summary: APR utility library ODBC DBD driver
BuildRequires: pkgconfig(odbc)
Requires: apr = %{version}-%{release}

%description odbc
This package provides the ODBC driver for the apr-util DBD
(database abstraction) interface.

%package ldap
Group: Development/Libraries
Summary: APR utility library LDAP support
BuildRequires: pkgconfig(ldap)
Requires: apr = %{version}-%{release}

%description ldap
This package provides the LDAP support for the apr-util.

%package openssl
Group: Development/Libraries
Summary: APR utility library OpenSSL crypto support
BuildRequires: pkgconfig(libcrypto)
Requires: apr = %{version}-%{release}

%description openssl
This package provides crypto support for apr-util based on OpenSSL.

%package nss
Group: Development/Libraries
Summary: APR utility library NSS crypto support
BuildRequires: pkgconfig(nss)
Requires: apr = %{version}-%{release}

%description nss
This package provides crypto support for apr-util based on Mozilla NSS.

%prep
%setup -q

%build
# regenerate configure script etc.
./buildconf
%configure \
        --prefix=/usr \
        --includedir=%{_includedir}/apr-%{aprver} \
        --with-installbuilddir=%{_libdir}/apr/build-%{aprver} \
        --with-devrandom=/dev/urandom \
        --with-expat=/usr \
        --with-berkeley-db --with-lmdb --without-gdbm \
        --with-sqlite3 --with-pgsql --with-mysql --with-odbc \
        --without-berkeley-db \
        --with-crypto --with-openssl --with-nss \
        --without-sqlite2
        CC=gcc CXX=g++
make %{?_smp_mflags} && make dox

%check
# Run non-interactive tests
pushd test
make %{?_smp_mflags} all CFLAGS=-fno-strict-aliasing
make check || exit 1
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Move docs to more convenient location
mv docs/dox/html html

# Unpackaged files:
rm -f $RPM_BUILD_ROOT%{_libdir}/apr.exp

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libapr-%{aprver}.so.*
%dir %{_libdir}/apr-%{aprver}

%files lmdb
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_dbm_lmdb*

%files pgsql
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_dbd_pgsql*

%files mysql
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_dbd_mysql*

%files sqlite
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_dbd_sqlite*

%files odbc
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_dbd_odbc*

%files openssl
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_crypto_openssl*

%files nss
%defattr(-,root,root,-)
%{_libdir}/apr-%{aprver}/apr_crypto_nss*

%files devel
%defattr(-,root,root,-)
%doc docs/APRDesign.html docs/canonical_filenames.html
%doc docs/incomplete_types docs/non_apr_programs
%doc html
%{_bindir}/apr*config
%{_libdir}/libapr-%{aprver}.*a
%{_libdir}/libapr-%{aprver}.so
%dir %{_libdir}/apr
%dir %{_libdir}/apr/build-%{aprver}
%{_libdir}/apr/build-%{aprver}/*
%{_libdir}/pkgconfig/apr-%{aprver}.pc
%dir %{_includedir}/apr-%{aprver}
%{_includedir}/apr-%{aprver}/*.h

%changelog
* Sat Aug 30 2008 Graham Leggett <minfrin@sharp.fm> 1.3.3
- update to depend on the bzip2 binary
- build depends on python

* Tue Jun 22 2004 Graham Leggett <minfrin@sharp.fm> 1.0.0-1
- update to support v1.0.0 of APR

* Tue Jun 22 2004 Graham Leggett <minfrin@sharp.fm> 1.0.0-1
- derived from Fedora Core apr.spec

